# Authors:
#   Jason Gerard DeRose <jderose@redhat.com>
#
# wehjit: A Python web-widget library
# Copyright (C) 2009  Red Hat
#
# This file is part of `wehjit`.
#
# `wehjit` is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# `wehjit` is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# `wehjit`.  If not, see <http://www.gnu.org/licenses/>.

"""
Plugin Browser.
"""


def create_page(app):
    page = app.new('PageApp')
    plugins=tuple(app.widgets())
    quickjump = app.new('QuickJump',
        options=tuple(
            (p.__name__, p.__name__) for p in plugins
        )
    )
    page.actions.add(
        app.new('HighlighterThemeChanger')
    )
    page.actions.add(quickjump)
    page.view.add(
        app.new('PluginBrowser', plugins=plugins)
    )
    return page
