# Authors:
#   Jason Gerard DeRose <jderose@redhat.com>
#
# wehjit: A Python web-widget library
# Copyright (C) 2009  Red Hat
#
# This file is part of `wehjit`.
#
# `wehjit` is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# `wehjit` is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# `wehjit`.  If not, see <http://www.gnu.org/licenses/>.

"""
Client-side screens.
"""

def create_page(app):
    page = app.new('Page')
    page.populate_standard(add_view=False)
    page.screen = page.new_child('Screen', id='screen')
    for i in xrange(10):
        view = page.screen.new_child('View',
            name='view_%d' % i,
            title='View %d' % i,
        )
        view.add(
            app.new('H1', label='Hello from %s!' % view.title)
        )
    jump = app.new('ScreenJump')
    jump.screen = page.screen
    page.actions.add(jump)
    return page
